/*
     $Revision$
     $Id$
*/

function checkReadonlyDesc()
{
  var autonum = $("#autonum").val();
  if (!(autonum & 2))
    $("#desc").attr('readonly', true); // Readonly
  else
    $("#desc").attr('readonly', false); // Writeable
}

function onChangeDiscipline()
{
  //sgSrtgroep.setValue($("#stdm").val(), $("#stdm_show").val(), true, true, null, true);
  // Regel hierboven werkt niet goed omdat CheckExist een get call veroorzaakt om te kijken of waarde bestaat.
  // In de tussentijd verstoort CheckJustOne dit process met een $.getJSON()
  // Dus gewoon Groep leegmaken
  sgSrtgroep.setValue(-1, "", true, false, null, true);
  sgSrtgroep.CheckJustOne();
  sgSrtdeel.setValue(-1, "", true, false, null, true);
  sgSrtdeel.CheckJustOne();
  $("#desc").val("");

  checkReadonlyDesc();
}

function callback_ins_info(data, textStatus, jqXHR)
{ // Zet de discipline indien niet ingevuld
  // setValue(key, txt, doonChange, checkExist, extraParam, lastTry)
  if ($("#disc").val() == -1)
  {
    sgDisc.setValue(data.disc_key, data.disc_omschr, false /*doonChange*/, true /*checkExist*/);
    $("#autonum").val(data.autonum);
  }
  if ($("#srtgroep").val() == -1)
    sgSrtgroep.setValue(data.srtgroep_key, data.srtgroep_omschr, false /*doonChange*/, true /*checkExist*/);
  if (data.imagePath)
  {
    $('#insphoto')[0].src = data.imagePath;
    $('#divinsphoto').show();
  }
  else
    $('#divinsphoto').hide();

  // Alleen automatisch nummer voor de discipline indien automatisch aan staat (&1)
  var autonum = $("#autonum").val();
  if (data.srtdeel_key > 0 && autonum & 1)
  { // Automatische nummering.
    var s = "ins_srtdeel_volg.asp?srtdeel_key=" + data.srtdeel_key + "&parent_key=" + parent_key;
    $.getJSON(s,
              function(data)
              {
                $("#desc").val(data.volgnr);
              });
  }
  checkReadonlyDesc();
}

function onChangeSrtgroep(srtgroep_key)
{ // Zet de discipline indien niet ingevuld i.v.m. de afhankelijkheid van de suggestvelden.
  if (srtgroep_key > 0 && $("#disc").val() <= 0 && typeof sgDisc != "undefined")
  {
    $.getJSON("../Shared/get_ins_info.asp",
              { srtgroep_key: srtgroep_key },
                callback_ins_info);
  }
  sgSrtdeel.setValue(-1, "", true, false, null, true);
  sgSrtdeel.CheckJustOne();
  $("#desc").val("");
  }

// alleen/altijd bij nieuwe objecten
function onChangeSrtdeel(srtdeel_key)
{
  if (srtdeel_key > 0)
  {
    // Check of er een afbeelding van het object weergegeven dient te worden en
    // zet de groep (srtgroep) indien niet ingevuld i.v.m. de afhankelijkheid van de suggestvelden.
    $.getJSON("../Shared/get_ins_info.asp",
              { srtdeel_key: srtdeel_key },
                callback_ins_info);
    if (!copy)
    {
      loadKenmerk();
      checkBind();
    }
  }
  $("#desc").val("");
}

function loadKenmerk()
{
  var s = "load_kenmerk.asp?srtdeel=" + $("#srtdeel").val()
        + "&ins_key=" + ins_key
        + "&urole=" + urole
        + "&bewerkniveau=D";

  $("#insFlexList").load(s, function(txt)
                            { // Indien geen kenmerken dan is k_all = 0: txt bevat dan de tekst '<input type=hidden id="k_all" name="k_all" value="0">'
                              //var kall_str = "<input type=\"hidden\" id=\"k_all\" name=\"k_all\" value=\"0\">";
                              //if (false && txt.indexOf(kall_str) != -1)   // TODO: als er alleen een label is zit die tekst er ook in; fout criterium dus!
                              //  $("#insFlex").hide();
                              //else
                                $("#insFlex").show();
                              FcltMgr.resized(window);
                            });

}

function onChangeDept(p_key)
{
  if (p_key > 0)
      setBind('A'); // Afdeling
}

function onChangePerson(p_key)
{
  if (p_key > 0)
  {
      setBind('P');
  }
}

function ins_submit()
{

}

function ins_cancel()
{
  FcltMgr.closeDetail(window, { cancel: true } );
}

function onChangeUitvoertijd(prio)
{
  if (isNaN(parseFloat($("#uitvoertijd").val())))
    $("#dayshours").prop("disabled", true);
  else
    $("#dayshours").prop("disabled", false);
}
